| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Private Member Functions

# IG::Lib::WaitFileEventLatenceBase Class Reference

Base class for classes that impelement methods that block until a file or directory is created or deleted. More...

Inheritance diagram for IG::Lib::WaitFileEventLatenceBase:
[legend]
Collaboration diagram for IG::Lib::WaitFileEventLatenceBase:
[legend]

List of all members.

## Classes
class | ExampleLatence
| Class containing examples for. More...
## Public Member Functions
override bool | Condition ()
| This method should be overridden in derived classes.
## Static Public Member Functions
static void | ExampleBlockCreateRemoveLatence (string filePath)
| Monitors the specified file and successively blocks until it is created and then until it is removed. This procedure is repeated twice.
static void | ExampleBlockCreateRemoveLatence (string filePath, int numSwitches)
| Monitors the specified file and successively blocks until it is created and then until it is removed.
static void | ExampleBlockCreateRemoveLatence (string filePath, int numSwitches, bool waitDirectory)
| Monitors the specified file and successively blocks until it is created and then until it is removed.
static void | TestSpeedBlockCreateRemoveLatence (string filePath)
| Test of speed of reaction of file/directory creation and removal blocking waits. A specified number of alternate creations and removals are perfomed in a parallel thread, with specified delay between them. In the main thread, blocking waits are performed waiting for creation/removal in an infinite loop, and it is counted how many events are captured and how many are missed.
static void | TestSpeedBlockCreateRemoveLatence (string filePath, int numSwitches, int sleepMs)
| Test of speed of reaction of file/directory creation and removal blocking waits. A specified number of alternate creations and removals are perfomed in a parallel thread, with specified delay between them. In the main thread, blocking waits are performed waiting for creation/removal in an infinite loop, and it is counted how many events are captured and how many are missed.
static void | TestSpeedBlockCreateRemoveLatence (string filePath, int numSwitches, int sleepMs, bool waitDirectory)
| Test of speed of reaction of file/directory creation and removal blocking waits. A specified number of alternate creations and removals are perfomed in a parallel thread, with specified delay between them. In the main thread, blocking waits are performed waiting for creation/removal in an infinite loop, and it is counted how many events are captured and how many are missed.
## Protected Member Functions
| WaitFileEventLatenceBase (string fileOrdirectoryPath)
sealed override bool | ConditionFunction ()
| Must not be used!
## Protected Attributes
string | _fileOrDirectoryPath
| File or directory name.
## Properties
string | Path`[get, set]`
| Get or set path of the file on which the particular event is waited for.
sealed override ConditionDelegateBase | ConditionDelegate`[get, set]`
| Setter of this property must not be used!
internal bool | CancelFlagInternal`[get, set]`
| protected internal acces to CancelFlag property. Enables access to CancelFlag on proxy classes.
## Private Member Functions
| WaitFileEventLatenceBase ()

## Detailed Description

Base class for classes that impelement methods that block until a file or directory is created or deleted.

$A Igor Jun10;

## Constructor & Destructor Documentation

IG::Lib::WaitFileEventLatenceBase::WaitFileEventLatenceBase | ( |  | ) | `[inline, private]`

IG::Lib::WaitFileEventLatenceBase::WaitFileEventLatenceBase | ( | string | fileOrdirectoryPath | ) | `[inline, protected]`

## Member Function Documentation

override bool IG::Lib::WaitFileEventLatenceBase::Condition | ( |  | ) | `[inline]`

This method should be overridden in derived classes.

Implements IG::Lib::IWaitCondition.

Reimplemented in IG::Lib::WaitFileCreationLatence, IG::Lib::WaitFileRemovalLatence, IG::Lib::WaitDirectoryCreationLatence, and IG::Lib::WaitDirectoryRemovalLatence.

sealed override bool IG::Lib::WaitFileEventLatenceBase::ConditionFunction | ( |  | ) | `[inline, protected, virtual]`

Must not be used!

Reimplemented from IG::Lib::WaitCondition.

static void IG::Lib::WaitFileEventLatenceBase::ExampleBlockCreateRemoveLatence | ( | string | filePath | ) | `[inline, static]`

Monitors the specified file and successively blocks until it is created and then until it is removed. This procedure is repeated twice.

Parameters:

  filePath | File whose creation and removal is monitored.

static void IG::Lib::WaitFileEventLatenceBase::ExampleBlockCreateRemoveLatence | ( | string | filePath,
|  | int | numSwitches
| ) |  | `[inline, static]`

Monitors the specified file and successively blocks until it is created and then until it is removed.

Parameters:

  filePath | File whose creation and removal is monitored.
  numSwitches | Number of iterations (creation/removal waits).

static void IG::Lib::WaitFileEventLatenceBase::ExampleBlockCreateRemoveLatence | ( | string | filePath,
|  | int | numSwitches,
|  | bool | waitDirectory
| ) |  | `[inline, static]`

Monitors the specified file and successively blocks until it is created and then until it is removed.

Parameters:

  filePath | File whose creation and removal is monitored.
  numSwitches | Number of iterations (creation/removal waits).
  directory | If true then creation/removal of a directory is waiting.

static void IG::Lib::WaitFileEventLatenceBase::TestSpeedBlockCreateRemoveLatence | ( | string | filePath | ) | `[inline, static]`

Test of speed of reaction of file/directory creation and removal blocking waits. A specified number of alternate creations and removals are perfomed in a parallel thread, with specified delay between them. In the main thread, blocking waits are performed waiting for creation/removal in an infinite loop, and it is counted how many events are captured and how many are missed.

Parameters:

  filePath | File whose creation and removal is monitored.

static void IG::Lib::WaitFileEventLatenceBase::TestSpeedBlockCreateRemoveLatence | ( | string | filePath,
|  | int | numSwitches,
|  | int | sleepMs
| ) |  | `[inline, static]`

Test of speed of reaction of file/directory creation and removal blocking waits. A specified number of alternate creations and removals are perfomed in a parallel thread, with specified delay between them. In the main thread, blocking waits are performed waiting for creation/removal in an infinite loop, and it is counted how many events are captured and how many are missed.

Parameters:

  filePath | File whose creation and removal is monitored.
  numSwitches | Number of iterations (creation/removal waits).
  sleepMs | Number of milliseconds to sleep between examples.

static void IG::Lib::WaitFileEventLatenceBase::TestSpeedBlockCreateRemoveLatence | ( | string | filePath,
|  | int | numSwitches,
|  | int | sleepMs,
|  | bool | waitDirectory
| ) |  | `[inline, static]`

Test of speed of reaction of file/directory creation and removal blocking waits. A specified number of alternate creations and removals are perfomed in a parallel thread, with specified delay between them. In the main thread, blocking waits are performed waiting for creation/removal in an infinite loop, and it is counted how many events are captured and how many are missed.

Parameters:

  filePath | File whose creation and removal is monitored.
  numSwitches | Number of iterations (creation/removal waits).
  sleepMs | Number of milliseconds to sleep between examples.
  directory | If true then creation/removal of a directory is waiting.

## Member Data Documentation

string IG::Lib::WaitFileEventLatenceBase::_fileOrDirectoryPath`[protected]`

File or directory name.

## Property Documentation

string IG::Lib::WaitFileEventLatenceBase::Path`[get, set]`

Get or set path of the file on which the particular event is waited for.

Implements IG::Lib::IWaitFileEvent.

sealed override ConditionDelegateBase IG::Lib::WaitFileEventLatenceBase::ConditionDelegate`[get, set]`

Setter of this property must not be used!

Reimplemented from IG::Lib::WaitCondition.

internal bool IG::Lib::WaitFileEventLatenceBase::CancelFlagInternal`[get, set, protected]`

protected internal acces to CancelFlag property. Enables access to CancelFlag on proxy classes.

The documentation for this class was generated from the following file:

- WaitConditionFile.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events